MacDrawProParserInternal::Shape Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MacDrawProParserInternal::Shape Struct Reference

## Public Types
enum | Type { Basic , Bitmap , Group , GroupEnd , Note , Text , Unknown }
| the different shape More...

## Public Member Functions
| Shape ()
| constructor
MWAWBox2f | getBdBox () const
| return the shape bdbox
bool | isLine () const
| returns true if the object is a line

## Public Attributes
Type | m_type
| the graphic type
int | m_fileType
| the file type
MWAWBox2f | m_box
| the shape bdbox
MWAWGraphicStyle | m_style
| the graphic style
MWAWGraphicShape | m_shape
| the graphic shape ( for basic geometric form )
int | m_id
| the shape id
int | m_nextId
| the following id (if set)
int | m_flags
| the main shape flag
int | m_textZoneId
| the text zone ( for a text box or a note)
int | m_numChars
| the number of caracters ( for a text box or a note)
std::map< int, int > | m_fontMap
| a map position to font id ( for a text box or a note)
std::set< int > | m_lineBreakSet
| the list of line break position ( for a text box or a note)
std::map< int, int > | m_paragraphMap
| the paragraphMap ( for a text box or a note) and a Pro file
MWAWParagraph | m_paragraph
| the paragraph ( for a text box or a note) and a II file
std::vector< size_t > | m_childList
| the child list ( for a group )
MWAWBox2f | m_measureBox
MWAWEntry | m_measureEntry
int | m_numBytesByRow
| the number of bytes by row (for a bitmap)
bool | m_bitmapIsColor
| true if the bitmap is a color bitmap
MWAWBox2i | m_bitmapDim
| the bitmap dimension (in page)
MWAWBox2i | m_bitmapFileDim
| the bitmap dimension (in the file)
MWAWEntry | m_bitmapEntry
| the bitmap entry (data)
int | m_bitmapClutId
| the bitmap clut rsrc id
bool | m_isSent
| a flag used to know if the object is sent to the listener or not

## Friends
std::ostream & | operator<< (std::ostream &o, Shape const &shape)
| basic operator<<

## Member Enumeration Documentation

## ◆ Type

enum MacDrawProParserInternal::Shape::Type

the different shape

Enumerator
Basic |
Bitmap |
Group |
GroupEnd |
Note |
Text |
Unknown |

## Constructor & Destructor Documentation

## ◆ Shape()

MacDrawProParserInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getBdBox()

MWAWBox2f MacDrawProParserInternal::Shape::getBdBox | ( |  | ) | const
| inline

return the shape bdbox

## ◆ isLine()

bool MacDrawProParserInternal::Shape::isLine | ( |  | ) | const
| inline

returns true if the object is a line

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Shape const & | shape
| ) |  |
| friend

basic operator<<

## Member Data Documentation

## ◆ m_bitmapClutId

int MacDrawProParserInternal::Shape::m_bitmapClutId

the bitmap clut rsrc id

Referenced by MacDrawProParser::readBitmap(), and MacDrawProParser::sendBitmap().

## ◆ m_bitmapDim

MWAWBox2i MacDrawProParserInternal::Shape::m_bitmapDim

the bitmap dimension (in page)

Referenced by MacDrawProParser::readBitmap(), and MacDrawProParser::sendBitmap().

## ◆ m_bitmapEntry

MWAWEntry MacDrawProParserInternal::Shape::m_bitmapEntry

the bitmap entry (data)

Referenced by MacDrawProParser::readBitmap(), and MacDrawProParser::sendBitmap().

## ◆ m_bitmapFileDim

MWAWBox2i MacDrawProParserInternal::Shape::m_bitmapFileDim

the bitmap dimension (in the file)

Referenced by MacDrawProParser::readBitmap(), and MacDrawProParser::sendBitmap().

## ◆ m_bitmapIsColor

bool MacDrawProParserInternal::Shape::m_bitmapIsColor

true if the bitmap is a color bitmap

Referenced by MacDrawProParser::readBitmap(), and MacDrawProParser::sendBitmap().

## ◆ m_box

MWAWBox2f MacDrawProParserInternal::Shape::m_box

the shape bdbox

Referenced by getBdBox(), MacDrawProParser::readGeometryShapeData(), MacDrawProParser::readRotationInObjectData(), MacDrawProParser::send(), and MacDrawProParser::updateGeometryShape().

## ◆ m_childList

std::vector<size_t> MacDrawProParserInternal::Shape::m_childList

the child list ( for a group )

Referenced by MacDrawProParser::send().

## ◆ m_fileType

int MacDrawProParserInternal::Shape::m_fileType

the file type

Referenced by MacDrawProParser::readGeometryShapeData(), and MacDrawProParser::updateGeometryShape().

## ◆ m_flags

int MacDrawProParserInternal::Shape::m_flags

the main shape flag

Referenced by MacDrawProParser::readGeometryShapeData(), and MacDrawProParser::readRotationInObjectData().

## ◆ m_fontMap

std::map<int,int> MacDrawProParserInternal::Shape::m_fontMap

a map position to font id ( for a text box or a note)

Referenced by MacDrawProParser::readTextII(), and MacDrawProParser::readTextPro().

## ◆ m_id

int MacDrawProParserInternal::Shape::m_id

the shape id

Referenced by MacDrawProParser::send().

## ◆ m_isSent

bool MacDrawProParserInternal::Shape::m_isSent
| mutable

a flag used to know if the object is sent to the listener or not

Referenced by MacDrawProParser::send().

## ◆ m_lineBreakSet

std::set<int> MacDrawProParserInternal::Shape::m_lineBreakSet

the list of line break position ( for a text box or a note)

Referenced by MacDrawProParser::readTextII(), and MacDrawProParser::readTextPro().

## ◆ m_measureBox

MWAWBox2f MacDrawProParserInternal::Shape::m_measureBox

Referenced by MacDrawProParser::readGeometryShapeData(), and MacDrawProParser::send().

## ◆ m_measureEntry

MWAWEntry MacDrawProParserInternal::Shape::m_measureEntry

Referenced by MacDrawProParser::readGeometryShapeData(), and MacDrawProParser::send().

## ◆ m_nextId

int MacDrawProParserInternal::Shape::m_nextId

the following id (if set)

Referenced by MacDrawProParser::send().

## ◆ m_numBytesByRow

int MacDrawProParserInternal::Shape::m_numBytesByRow

the number of bytes by row (for a bitmap)

Referenced by MacDrawProParser::readBitmap(), and MacDrawProParser::sendBitmap().

## ◆ m_numChars

int MacDrawProParserInternal::Shape::m_numChars

the number of caracters ( for a text box or a note)

Referenced by MacDrawProParser::readTextII(), and MacDrawProParser::readTextPro().

## ◆ m_paragraph

MWAWParagraph MacDrawProParserInternal::Shape::m_paragraph

the paragraph ( for a text box or a note) and a II file

Referenced by MacDrawProParser::readTextII().

## ◆ m_paragraphMap

std::map<int,int> MacDrawProParserInternal::Shape::m_paragraphMap

the paragraphMap ( for a text box or a note) and a Pro file

Referenced by MacDrawProParser::readTextPro().

## ◆ m_shape

MWAWGraphicShape MacDrawProParserInternal::Shape::m_shape

the graphic shape ( for basic geometric form )

Referenced by getBdBox(), isLine(), MacDrawProParser::readGeometryShapeData(), MacDrawProParser::readRotationInObjectData(), MacDrawProParser::send(), and MacDrawProParser::updateGeometryShape().

## ◆ m_style

MWAWGraphicStyle MacDrawProParserInternal::Shape::m_style

the graphic style

Referenced by getBdBox(), MacDrawProParser::readGeometryShapeData(), MacDrawProParser::readRotationInObjectData(), MacDrawProParser::send(), MacDrawProParser::sendBitmap(), and MacDrawProParser::updateGeometryShape().

## ◆ m_textZoneId

int MacDrawProParserInternal::Shape::m_textZoneId

the text zone ( for a text box or a note)

Referenced by MacDrawProParser::readTextII(), and MacDrawProParser::readTextPro().

## ◆ m_type

Type MacDrawProParserInternal::Shape::m_type

the graphic type

Referenced by getBdBox(), isLine(), MacDrawProParser::readBitmap(), MacDrawProParser::readGeometryShapeData(), MacDrawProParser::readObjectData(), MacDrawProParser::readRotationInObjectData(), MacDrawProParser::readTextII(), MacDrawProParser::readTextPro(), MacDrawProParser::send(), MacDrawProParser::sendBitmap(), and MacDrawProParser::updateGeometryShape().

The documentation for this struct was generated from the following file:

- MacDrawProParser.cxx